import { Config } from '@pnpm/config';
import { add } from '@pnpm/plugin-commands-installation';
export declare const commandNames: string[];
export declare function rcOptionsTypes(): {};
export declare const cliOptionsTypes: () => {
    package: (ArrayConstructor | StringConstructor)[];
};
export declare function help(): string;
export declare type DlxCommandOptions = {
    package?: string[];
} & Pick<Config, 'reporter' | 'userAgent'> & add.AddCommandOptions;
export declare function handler(opts: DlxCommandOptions, [command, ...args]: string[]): Promise<void>;
