import * as create from './create';
import * as dlx from './dlx';
import * as exec from './exec';
import * as restart from './restart';
import * as run from './run';
declare const test: {
    help(): string;
    handler(opts: run.RunOpts, params?: string[]): Promise<string | void | {
        exitCode: number;
    }>;
    commandNames: string[];
    rcOptionsTypes(): {};
    cliOptionsTypes(): {
        recursive: BooleanConstructor;
        reverse: BooleanConstructor;
        'if-present': BooleanConstructor;
    };
    IF_PRESENT_OPTION: {
        'if-present': BooleanConstructor;
    };
    IF_PRESENT_OPTION_HELP: {
        description: string;
        name: string;
    };
    PARALLEL_OPTION_HELP: {
        description: string;
        name: string;
    };
    shorthands: {
        parallel: string[];
    };
    completion: import("@pnpm/command").CompletionFunc;
};
export { create, dlx, exec, restart, run, test };
